#include "picsys18.h"

void
setup()
{
	pinMode(SW1, INPUT) ;
	pinMode(SW2, INPUT) ;
	pinMode(SW3, INPUT) ;
	pinMode(SW4, INPUT) ;
	pinMode(SW5, INPUT) ;
	pinMode(SW6, INPUT) ;
	
	pinMode(LED8, OUTPUT) ;
	pinMode(LED9, OUTPUT) ;
	
	SEG7_initDefault() ;
}

void
loop()
{
	SEG7_setDigit(0, digitalRead(SW3) ? SEG7_HIGH : SEG7_LOW) ;
	SEG7_setDigit(1, digitalRead(SW4) ? SEG7_HIGH : SEG7_LOW) ;
	SEG7_setDigit(2, digitalRead(SW5) ? SEG7_HIGH : SEG7_LOW) ;
	SEG7_setDigit(3, digitalRead(SW6) ? SEG7_HIGH : SEG7_LOW) ;
	
	digitalWrite(LED8, digitalRead(SW1)) ;
	digitalWrite(LED9, digitalRead(SW2)) ;
	
	delayMilliseconds(100) ;
}
